# ESPPropCalc

class `psi4.core.``ESPPropCalc`

  Bases: `psi4.core.Prop`

  ESPPropCalc gives access to routines calculating the ESP on a grid

  Methods Summary

  `compute_esp_over_grid_in_memory`(self, arg0) | Computes ESP on specified grid Nx3 (as SharedMatrix)

  Methods Documentation

  `compute_esp_over_grid_in_memory`(self: psi4.core.ESPPropCalc, arg0: psi::Matrix) → psi::Vector

    Computes ESP on specified grid Nx3 (as SharedMatrix)

  `compute_esp_over_grid_in_memory`(self: psi4.core.ESPPropCalc, arg0: psi::Matrix) → psi::Vector

    Computes ESP on specified grid Nx3 (as SharedMatrix)